#
# spec file for package strace (Version 4.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         strace
Copyright:    BSD like
Group:        Development/Debuggers
Provides:     strace
Autoreqprov:  on
Version:      4.4
Release:      29
Summary:      Trace system calls of a program
Source: strace-%{version}.tar.gz
Patch: strace-%{version}.dif
Patch1: strace-%{version}.ia64.dif
Patch2: strace-4.3-execve.patch
URL: http://www.wi.leidenuniv.nl/~wichert/strace
BuildRoot: %{_tmppath}/buildroot-%{name}

%description
With strace you can trace the activity of a program. Information
as to any system calls the program made and the signals it has
received/processed can be seen. Even child processes can be tracked.

Authors:
--------
    Paul Kranenburg <pk@cs.few.eur.nl>
    Branko Lankester <branko@hacktic.nl>
    Rick Sladkey <rs@world.std.com>

SuSE series: d

%prep
%setup
%patch
%patch1
%patch2

%build
#%{suse_update_config -f}
#autoconf
#autoheader
CFLAGS="-Wall $RPM_OPT_FLAGS -pipe"
%ifarch alpha
CFLAGS="$CFLAGS -ffixed-8"
%endif
export CFLAGS
LDFLAGS=-s \
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install
install -d $RPM_BUILD_ROOT%{_prefix}/bin $RPM_BUILD_ROOT%{_mandir}/man1
make install prefix=$RPM_BUILD_ROOT%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README-linux NEWS
%{_prefix}/bin/strace
%{_prefix}/bin/strace-graph
%doc %{_mandir}/man1/strace.1.gz

%changelog -n strace
* Mon Aug 20 2001 - schwab@suse.de
- Fix configuration for s390.
* Mon Aug 20 2001 - schwab@suse.de
- Update to strace 4.4.
* Tue Jul 31 2001 - schwab@suse.de
- Fix tracing after execve for ia64.
* Tue Jun 12 2001 - schwab@suse.de
- Fix for ppc and sparc.
* Fri Jun 08 2001 - schwab@suse.de
- Update to strace 4.3.
* Mon May 14 2001 - bk@suse.de
- fix long shifts to create long long logs for llseek, pread and pwrite.
  (for 2147483748[2GB+100], strace logged 18446744071562068068 which is wrong)
* Wed Mar 07 2001 - schwab@suse.de
- Update IA64 patch.
* Wed Feb 14 2001 - ro@suse.de
- include time.h to fix compilation
* Thu Jan 04 2001 - stepan@suse.de
- changed specfile to build cleanly on alphas
* Wed Dec 06 2000 - schwab@suse.de
- Don't include <asm/sigcontext.h> on ia64.
- Implement {,f,l}stat on ia64.
* Mon Nov 13 2000 - ro@suse.de
- hacked to compile on 2.4 includes
* Tue Sep 26 2000 - ro@suse.de
- fixed dirent64 clash for all archs
* Mon Sep 18 2000 - schwab@suse.de
- Fix clash with struct dirent64.
* Wed Sep 06 2000 - fober@suse.de
- s390: upgrade to current ibm codedrop for s390
* Mon Aug 14 2000 - schwab@suse.de
- Update ia64 patches.
* Tue Jun 20 2000 - schwab@suse.de
- Update ia64 patches.
* Mon Jun 19 2000 - ro@suse.de
- prevent inclusion of linux/time.h
* Thu May 18 2000 - schwab@suse.de
- Fixed to build with 2.3.99 kernels.
* Wed Apr 12 2000 - kukuk@suse.de
- Fix define for STAT64
* Thu Apr 06 2000 - bk@suse.de
- s390 team added s390 patch
* Tue Mar 28 2000 - schwab@suse.de
- Add ia64 patches.
* Wed Mar 22 2000 - kukuk@suse.de
- Update to 4.2
- Fixes for SPARC
* Tue Jan 18 2000 - ro@suse.de
- fixed to build with 2.3 kernels
- man -> /usr/share/man
* Thu Dec 09 1999 - schwab@suse.de
- Remove obsolete SNDCTL_TMR_* ioctls that mask termios ioctls
- Remove obsolete strerror and strsignal changes
- Fix #if syntax
* Sun Dec 05 1999 - kasal@suse.de
- upgraded to strace-4.1
* Fri Dec 03 1999 - kasal@suse.de
- get rid of Makefile.Linux
- fixed some headers for sparc & 2.3.x kernel
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - uli@suse.de
- fixed for PPC
* Fri Aug 27 1999 - ro@suse.de
- adapt to sysctl-changes
* Fri Jul 09 1999 - ro@suse.de
- update to 4.0 using jurix diff
* Tue Apr 13 1999 - ro@suse.de
- update 3.1.0.1 / merge patches
* Mon Apr 12 1999 - ro@suse.de
- fixed for alpha
* Wed Mar 31 1999 - ro@suse.de
- merged path from Stanislav Brabec and Massimiliano Ghilardi
* Tue Mar 09 1999 - ro@suse.de
- back to SYS_vfork
* Thu Jan 14 1999 - ro@suse.de
- changed "ifdef SYS_vfork" to "ifdef __NR_vfork"
* Mon Jan 11 1999 - ro@suse.de
- alpha-patches file.c: comment #if alpha
  sock.c: include ioctls for alpha
  term.c: include termio on alpha as well
* Mon Nov 16 1998 - ro@suse.de
- system.c: include sys/mount.h instead of linux/fs.h for glibc
* Wed Sep 30 1998 - ro@suse.de
- if glibc: include sys/reg and linux/ptrace where needed
* Fri Jul 24 1998 - bs@suse.de
- fixed configure for i686.
* Tue Feb 17 1998 - ro@suse.de
- diabled PRCTL in config.h.in (not with 2.0 kernel)
* Wed Apr 30 1997 - florian@suse.de
- add bug-fixes for llseek
